#	Hexokinase in the Apo Form versus in the Xylose/ADP complex
#	Script by Loren Williams

reinitialize
bg_color white
set ray_opaque_background, 0
set ray_trace_mode, 1
set mouse_selection_mode, 1
run files/python_scripts/list_hbonds.py

#----------------------------- load apo form -------------

load files/2E2N_hexokinase_apo.pdb, apo_hexokinase
remove apo_hexokinase and chain A
hide everything, apo_hexokinase
show cartoon, apo_hexokinase
color blue, apo_hexokinase

#----------------------------- load complex-------------
load files/2E2Q_hexokinase_xylose_adp.pdb, bound_hexokinase

remove bound_hexokinase and chain B
hide everything, bound_hexokinase
show cartoon, bound_hexokinase
color red, bound_hexokinase

align apo_hexokinase, bound_hexokinase

create open_pocket, apo_hexokinase and (resi 10-13 or resi 109-123 or resi 198-200 or resi 205-207 or resi 301-303 or resi 247-249 or resi 93-95 or resi 70-72 or resi 139-141)
hide everything open_pocket
show stick, open_pocket
color green, name C* and (open_pocket)
color red, name O* and (open_pocket)
color blue, name N* and (open_pocket)
color yellow, name P* and (open_pocket)



create xylose, resn xyp and chain A
show stick, xylose
color wheat, name C* and xylose

create ADP, resn ADP and chain A
show stick, ADP
color wheat, name C* and ADP


create binding_pocket, bound_hexokinase and not resn ADP and (resi 10-13 or resi 109-123 or resi 198-200 or resi 205-207 or resi 301-303 or resi 247-249 or resi 93-95 or resi 70-72 or resi 139-141)

color grey, name C* and (binding_pocket)
color red, name O* and (binding_pocket)
color blue, name N* and (binding_pocket)
color yellow, name P*


hide everything, binding_pocket
show stick, binding_pocket

disable *
enable ADP
enable xylose
enable binding_pocket
enable bound_hexokinase

remove resn hoh
create magnesium, resn mg and bound_hexokinase
show nb_spheres, magnesium

distance ADP_coordination, ADP and not name C*, binding_pocket and not name C*, 3.4
distance xylose_coordination, xylose and not name C*, binding_pocket and not name C*, 3.4

color black, ADP_coordination
color black, xylose_coordination
disable ADP_coordination
disable xylose_coordination


set_view (\
    -0.020256670,   -0.330505192,   -0.943611801,\
     0.335796326,    0.886725605,   -0.317793697,\
     0.941734076,   -0.323290259,    0.093015552,\
     0.000961415,    0.001198818,  -93.245552063,\
    11.240186691,   42.684204102,   25.932346344,\
    68.312141418,  118.130340576,  -20.000000000 )


